<?xml version="1.0" encoding="UTF-8"?>
<project>
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>remote</groupId>
		<artifactId>remote-apps</artifactId>
		<version>2.0-snapshot</version>
	</parent>

	<artifactId>remote-apps-gui</artifactId>
	<packaging>jar</packaging>

	<name>Re·Mote Testbed Apps GUI</name>
	<description>

		GUI application for working with Re·Mote Testbeds.

	</description>
	<scm>
		<connection>${scmrepo}</connection>
		<url>${scmweb}</url>
	</scm>

	<properties>
		<mainClass>remote.apps.gui.ReMote</mainClass>
	</properties>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-shade-plugin</artifactId>
				<version>1.2</version>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>shade</goal>
						</goals>
						<configuration>
							<finalName>ReMote-${project.version}</finalName>
							<transformers>
								<transformer implementation="org.apache.maven.plugins.shade.resource.ManifestResourceTransformer">
									<manifestEntries>
										<Main-Class>${mainClass}</Main-Class>
									</manifestEntries>
								</transformer>
							</transformers>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

	<dependencies>
		<dependency>
			<groupId>${project.groupId}</groupId>
			<artifactId>remote-mci-net</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>${project.groupId}</groupId>
			<artifactId>remote-axis-bindings</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>net.infonode</groupId>
			<artifactId>idw-gpl</artifactId>
			<version>1.5.0</version>
		</dependency>
	</dependencies>

	<repositories>
		<repository>
			<id>luxsoftnet.com</id>
			<url>http://www.luxsoftnet.com/m2/repository/</url>
		</repository>
	</repositories>
</project>
